<?php
/*
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License version 3.0
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@zinrelo.com so we can send you a copy immediately.
 *
 * @category  Zinrelo
 * @package   Zinrelo_Extension
 * @copyright Copyright (c) 2017 Zinrelo, Inc.
 * @license   https://opensource.org/licenses/osl-3.0.php Open Software License version 3.0
 */

/**
 * Extension add HeadSnippet block in head.
 *
 * @category Zinrelo
 * @package  Zinrelo_Extension
 * @author   Zinrelo Developer <dev@zinrelo.com>
 */
	namespace Zinrelo\Extension\Block;
	
	class HeadSnippet extends \Magento\Framework\View\Element\Template 
	{ 
	   /**
        * @var \Magento\Framework\App\Config\ScopeConfigInterface
        */ 
		protected $_customerSession;
		/**
        * @var \Magento\Framework\App\Config\ScopeConfigInterface
        */
		protected $_scopeConfig;
		
		/**
		 * @param Context $context
		 * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
		 * @param \Magento\Customer\Model\Session $customerSession,
		 * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
		 * @param array $data
		 */
		public function __construct(
			\Magento\Framework\View\Element\Template\Context $context,
			\Magento\Customer\Model\Session $customerSession,
			\Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
			array $data = []
		) {
			$this->_customerSession=$customerSession;
			$this->_scopeConfig = $scopeConfig;
			parent::__construct($context, $data);
		  }
		
		/* Check Configuration Extenstion Enable  
		*  @return Boolean
		*/
		
		public  function _isEnabled()
		{
		
			return $this->_scopeConfig->getValue(
			'zinrelo_settings/settings/extension_active',
			\Magento\Store\Model\ScopeInterface::SCOPE_STORE
			);
		}
		
		/* Retrieve loggedin customer data
		* @return  Magento\Customer\Model\Session
		*/
		public function _getCustomerSession()
		{
			
		   return $this->_customerSession;
		
		}
		
		
		/* Retrieve partner id from configuration data
		*  @return String
		*/
		public  function _getPartnerId()
		{
		
			return $this->_scopeConfig->getValue(
			'zinrelo_settings/settings/partner_id',
			\Magento\Store\Model\ScopeInterface::SCOPE_STORE
			); 
		
		}
		
	}