<?php
/*
* Magento
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License version 3.0
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@zinrelo.com so we can send you a copy immediately.
*
* @category  Zinrelo
* @package   Zinrelo_Extension
* @copyright Copyright (c) 2017 Zinrelo, Inc.
* @license   https://opensource.org/licenses/osl-3.0.php Open Software License version 3.0
*/


/**
* Install data when module install  .
*
* @category Zinrelo
* @package  Zinrelo_Extension
* @author   Zinrelo Developer <dev@zinrelo.com>
*/

namespace Zinrelo\Extension\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
	
	class InstallData implements InstallDataInterface
	{

		/**
		 * {@inheritdoc}
		 */
		public function install(
			ModuleDataSetupInterface $setup,
			ModuleContextInterface $context
		) {
			 $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
			 $storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
			 $input = $storeManager->getStore()->getBaseUrl().time();
			 $partner_id = 'MG_'.substr(strtolower(base64_encode(sha1($input))),0,8);
			  $data = [
				'scope' => 'default',
				'scope_id' => 0,
				'path' => 'zinrelo_settings/settings/partner_id',
				'value' => $partner_id,
			];
		 $setup->getConnection()
			   ->insertOnDuplicate($setup->getTable('core_config_data'), $data, ['value']);
		}
    
		
	 
	} 